Skip to content
Start here

List additional audio tracks on a video

client.stream.audioTracks.get(stringidentifier, AudioTrackGetParams { account_id } params, RequestOptionsoptions?): SinglePage<Audio { default, label, status, uid } >
GET/accounts/{account_id}/stream/{identifier}/audio

Lists additional audio tracks on a video. Note this API will not return information for audio attached to the video upload.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Stream WriteStream Read
ParametersExpand Collapse
identifier: string

A Cloudflare-generated unique identifier for a media item.

maxLength32
params: AudioTrackGetParams { account_id }
account_id: string

The account identifier tag.

maxLength32
ReturnsExpand Collapse
Audio { default, label, status, uid }
default?: boolean

Denotes whether the audio track will be played by default in a player.

label?: string

A string to uniquely identify the track amongst other audio track labels for the specified video.

status?: "queued" | "ready" | "error"

Specifies the processing status of the video.

One of the following:
"queued"
"ready"
"error"
uid?: string

A Cloudflare-generated unique identifier for a media item.

maxLength32

List additional audio tracks on a video

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const audio of client.stream.audioTracks.get('ea95132c15732412d22c1476fa83f27a', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(audio.uid);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "default": true,
      "label": "director commentary",
      "status": "queued",
      "uid": "ea95132c15732412d22c1476fa83f27a"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "default": true,
      "label": "director commentary",
      "status": "queued",
      "uid": "ea95132c15732412d22c1476fa83f27a"
    }
  ]
}